package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Wfs;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface WfsMapper {

    int insert(Wfs record);

    int insertSelective(Wfs record);

    int updateByPrimaryKeySelective(Wfs record);

    int updateByPrimaryKey(Wfs record);

    int deleteByPrimaryKey(Wfs record);

    int deleteByIds(Collection<Object> collection);

    Wfs selectByPrimaryKey(Wfs record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Wfs> dyncRead(Map<String,Object> dyncMap);

    Wfs selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

}